%global pypiname	ripe.atlas.cousteau
%global srcname		ripe-atlas-cousteau

%global deps_py3	python3-dateutil python3-socketIO-client python3-requests
%global deps_tests_py3	python3-funcsigs python3-nose python3-coverage python3-mock python3-jsonschema

%global deps_py2	python-dateutil python2-socketIO-client python2-requests
%global deps_tests_py2	python2-funcsigs python2-nose python2-coverage python-mock python-jsonschema

Name:		python-%{srcname}
Version:	1.3
Release:	3%{?dist}
Summary:	Python wrapper for RIPE Atlas API

License:	GPLv3
URL:		https://pypi.python.org/pypi/ripe.atlas.cousteau/
Source0:	https://pypi.python.org/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:	noarch

%description
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

%package -n python3-%{srcname}
Summary:	Python wrapper for RIPE Atlas API
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_tests_py3
Requires:	%deps_py3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

This package contains the library for Python 3.

%package -n python2-%{srcname}
Summary:	Python wrapper for RIPE Atlas API
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_tests_py2
Requires:	%deps_py2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

This package contains the library for Python 2.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%__python2 setup.py check nosetests
%__python3 setup.py check nosetests

%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3-2
- Rebuild for Python 3.6

* Sun Oct 23 2016 Jan Vcelak <jvcelak@fedorapeople.org> - 1.3-1
- new upstream release

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 09 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.2-1
- new upstream version

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.7-2
- rename source RPM

* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.7-1
- new upstream release
- change project URL to PyPI
- remove patches merged by upstream

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.6-1
- initial package
